:root {
	--primary-color: #f4eeff;
	--secondary-color: #a6b1e1;
	--dark-color: #424874;

	--link-color: teal;
	--link-hover-color: var(--dark-color);
	--link-transition: 0.1s;
}

.subtitle {
	white-space: nowrap;
	position: absolute;
}

.link:link { text-decoration: none; }
.link:visited { text-decoration: none; }
.link:hover { text-decoration: none; }
.link:active { text-decoration: none; }

.link {
	color: var(--link-color);
}

.link:hover {
	color: var(--link-hover-color);
}

.wrap {
	white-space: normal !important;
}


.fancy-link {
	white-space: nowrap;
	position: relative;
	padding: .5em;
	transition: var(--link-transition);
}

.fancy-link::after {
	transition: var(--link-transition);
}

.fancy-link::after {
	position: absolute;
	left: 0%;
	top: 50%;
	transform: translateY(-50%);
	content: '';
	width: .25em;
	height: 1em;
	background-color: var(--link-hover-color);
	visibility: hidden;
	opacity: 0;
}

.fancy-link:hover::after {
	opacity: 1;
	visibility: visible;
}


body {
	font-family: 'Cabin', sans-serif;
	background-color: var(--primary-color);
}

.cover-container {
	max-width: 70em;
}

.nav-masthead .nav-link {
	padding: .25rem 0;
	color: #555;
	background-color: transparent;
	border-bottom: .25rem solid transparent;
	transition: var(--link-transition);
}

.nav-masthead .nav-link:hover {
	color: var(--link-hover-color);
}

.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
	border-bottom-color: var(--link-hover-color);
}

.nav-masthead .nav-link + .nav-link {
	margin-left: 1rem;
}

.nav-masthead .active {
	color: #000;
	border-bottom-color: #fff;
}

#main-carousel {
	position: relative;
}

#main-carousel:hover img {
	cursor: pointer;
	transform: scale(1.04);
}


.carousel-image {
	position: absolute;
	/* NOTE: images must be wider than they are tall*/
	height: 100%;
	object-fit: cover;
	-webkit-transition: opacity 1s, 400ms transform;
	-moz-transition: opacity 1s, 400ms transform;
	transition: opacity 1s, 400ms transform;
	opacity: 0;
}

.carousel-image.active {
	opacity: 1;
}

#main-popup {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 99999;
	display: inherit;
	opacity: 0;
	pointer-events: none;
	transition: 200ms;
}
#main-popup.active {
	opacity: 1;
	pointer-events: all;
}


#main-popup > div {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 99999;
}

#main-popup > div > img {
	max-width: 90vw;
	max-height: 90vh;
}

#main-popup::before {
	position: absolute;
	content: '';
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: black;
	opacity: 0.5;
}

#carousel-left,
#carousel-right {
	position: absolute;
	top: 50%;
	cursor: pointer;
}
#carousel-left {
	transform: translateY(-50%) rotate(90deg);
	left: 4%;
}
#carousel-right {
	transform: translateY(-50%) rotate(-90deg);
	right: 4%;
}

.down-arrow {
	display: block;
	margin: auto;
	width: 3rem;
	height: 3rem;
	border-radius: 50%;
	position: relative;
	background: white;
	-webkit-transition: opacity 250ms;
	-moz-transition: opacity 250ms;
	transition: opacity 250ms;
	opacity: 0.5;
}

.down-arrow:hover {
	opacity: 0.7;
}

.down-arrow::before,
.down-arrow::after {
	content: '';
	position: absolute;
	background: black;
	height: 1em;
	width: .1em;
	top: calc(50% - 0.5em);
	left: calc(50% - .05em);
	border-radius: 999em;
	transform-origin: bottom;
	--rotate-angle: 43deg;
	transition: transform 100ms;
}

.down-arrow:hover::before,
.down-arrow:hover::after,
.down-arrow:focus-visible::before,
.down-arrow:focus-visible::after {
	--rotate-angle: 47deg;
}

.down-arrow::before {
	transform: rotate(calc(-1 * var(--rotate-angle)));
}

.down-arrow::after {
	transform: rotate(var(--rotate-angle));
}

.x {
	cursor: pointer;
	position: relative;
	height: 2em;
	width: 2em;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.x::before,
.x::after {
	position: absolute;
	content: '';
	width: 100%;
	height: 0.2em;
	background-color: white;
}

.x::before { transform: rotate(45deg); }
.x::after { transform: rotate(-45deg); }
